Author Topic: gdb: Warning: command 'set remotebreak' is deprecated  (Read 249 times)

rowbearto

  • Senior Community Member
  • Posts: 1868
  • Hero Points: 121
gdb: Warning: command 'set remotebreak' is deprecated
« on: September 16, 2020, 10:50:48 pm »
When debugging my target with "attach" I see in the output window:

Quote
Warning: command 'set remotebreak' is deprecated.
Use 'set remote interrupt-sequence'.\n

I did see another message in the forum about this: https://community.slickedit.com/index.php/topic,17566.msg68690.html#msg68690 where Dennis said:

Quote
Try setting the remote attach options (on the second tab of the attach to remote dialog) to turn OFF remotebreak (seems counter-intuitive, but it is kind of system specific).

But in the remote attach both boxes are already unchecked. See attached screenshot, and I still see this deprecation warning.

Dennis

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 3212
  • Hero Points: 459
Re: gdb: Warning: command 'set remotebreak' is deprecated
« Reply #1 on: September 17, 2020, 08:40:19 pm »
I'm filing a bug on this one.  I guess we need to use the other command when in extended-remote mode.  GDB does not seem to give any indication if the new command is available or not other than issuing the warning.

rowbearto

  • Senior Community Member
  • Posts: 1868
  • Hero Points: 121
Re: gdb: Warning: command 'set remotebreak' is deprecated
« Reply #2 on: September 17, 2020, 08:44:40 pm »
I think the gdb message is saying to use "set remote interrupt-sequence" instead? If you look at the 2nd line of the warning:

Quote
Warning: command 'set remotebreak' is deprecated.
Use 'set remote interrupt-sequence'

I think I also saw this before I started using extended-remote mode, but I'm not sure.

Dennis

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 3212
  • Hero Points: 459
Re: gdb: Warning: command 'set remotebreak' is deprecated
« Reply #3 on: September 17, 2020, 08:52:12 pm »
Yes, but this is new, and older versions of GDB will not respond to "set remote interrupt-sequence"